GDCM: gdcm::SerieHelper Class Reference

GDCM 3.2.11

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
gdcm::SerieHelper Class Reference

SerieHelper DO NOT USE this class, it is only a temporary solution for ITK migration from GDCM 1.x to GDCM 2.x It will disappear soon, you've been warned. More...

`#include <gdcmSerieHelper.h>`

Collaboration diagram for gdcm::SerieHelper:
[legend]

## Public Member Functions
| SerieHelper ()
| ~SerieHelper ()
void | AddRestriction (const std::string &tag)
void | AddRestriction (uint16_t group, uint16_t elem, std::string const &value, int op)
void | Clear ()
void | CreateDefaultUniqueSeriesIdentifier ()
std::string | CreateUniqueSeriesIdentifier (File *inFile)
FileList * | GetFirstSingleSerieUIDFileSet ()
FileList * | GetNextSingleSerieUIDFileSet ()
void | OrderFileList (FileList *fileSet)
void | SetDirectory (std::string const &dir, bool recursive=false)
void | SetLoadMode (int)
void | SetUseSeriesDetails (bool useSeriesDetails)

## Protected Types
using | Rule
typedef std::vector< Rule > | SerieRestrictions
typedef std::map< std::string, FileList * > | SingleSerieUIDFileSetmap

## Protected Member Functions
bool | AddFile (FileWithName &header)
void | AddFileName (std::string const &filename)
void | AddRestriction (const Tag &tag)
bool | FileNameOrdering (FileList *fileList)
bool | ImageNumberOrdering (FileList *fileList)
bool | ImagePositionPatientOrdering (FileList *fileSet)
bool | UserOrdering (FileList *fileSet)

## Protected Attributes
SingleSerieUIDFileSetmap::iterator | ItFileSetHt
SingleSerieUIDFileSetmap | SingleSerieUIDFileSetHT

## Detailed Description

SerieHelper DO NOT USE this class, it is only a temporary solution for ITK migration from GDCM 1.x to GDCM 2.x It will disappear soon, you've been warned.

Instead see ImageHelper or IPPSorter

## Member Typedef Documentation

## ◆ Rule

using gdcm::SerieHelper::Rule
| protected

Initial value:
struct RuleStructure{
uint16_t group;
uint16_t elem;
std::string value;
int op;
}

## ◆ SerieRestrictions

typedef std::vector<Rule> gdcm::SerieHelper::SerieRestrictions
| protected

## ◆ SingleSerieUIDFileSetmap

typedef std::map<std::string, FileList *> gdcm::SerieHelper::SingleSerieUIDFileSetmap
| protected

## Constructor & Destructor Documentation

## ◆ SerieHelper()

gdcm::SerieHelper::SerieHelper | ( |  | ) |

## ◆ ~SerieHelper()

gdcm::SerieHelper::~SerieHelper | ( |  | ) |

## Member Function Documentation

## ◆ AddFile()

bool gdcm::SerieHelper::AddFile | ( | FileWithName & | header | ) |
| protected

## ◆ AddFileName()

void gdcm::SerieHelper::AddFileName | ( | std::string const & | filename | ) |
| protected

## ◆ AddRestriction() [1/3]

void gdcm::SerieHelper::AddRestriction | ( | const std::string & | tag | ) |

## ◆ AddRestriction() [2/3]

void gdcm::SerieHelper::AddRestriction | ( | const Tag & | tag | ) |
| protected

## ◆ AddRestriction() [3/3]

void gdcm::SerieHelper::AddRestriction | ( | uint16_t | group,
|  | uint16_t | elem,
|  | std::string const & | value,
|  | int | op )

## ◆ Clear()

void gdcm::SerieHelper::Clear | ( |  | ) |

## ◆ CreateDefaultUniqueSeriesIdentifier()

void gdcm::SerieHelper::CreateDefaultUniqueSeriesIdentifier | ( |  | ) |

## ◆ CreateUniqueSeriesIdentifier()

std::string gdcm::SerieHelper::CreateUniqueSeriesIdentifier | ( | File * | inFile | ) |

## ◆ FileNameOrdering()

bool gdcm::SerieHelper::FileNameOrdering | ( | FileList * | fileList | ) |
| protected

## ◆ GetFirstSingleSerieUIDFileSet()

FileList * gdcm::SerieHelper::GetFirstSingleSerieUIDFileSet | ( |  | ) |

## ◆ GetNextSingleSerieUIDFileSet()

FileList * gdcm::SerieHelper::GetNextSingleSerieUIDFileSet | ( |  | ) |

## ◆ ImageNumberOrdering()

bool gdcm::SerieHelper::ImageNumberOrdering | ( | FileList * | fileList | ) |
| protected

## ◆ ImagePositionPatientOrdering()

bool gdcm::SerieHelper::ImagePositionPatientOrdering | ( | FileList * | fileSet | ) |
| protected

## ◆ OrderFileList()

void gdcm::SerieHelper::OrderFileList | ( | FileList * | fileSet | ) |

## ◆ SetDirectory()

void gdcm::SerieHelper::SetDirectory | ( | std::string const & | dir,
|  | bool | recursive = false )

## ◆ SetLoadMode()

void gdcm::SerieHelper::SetLoadMode | ( | int |  | ) |
| inline

## ◆ SetUseSeriesDetails()

void gdcm::SerieHelper::SetUseSeriesDetails | ( | bool | useSeriesDetails | ) |

## ◆ UserOrdering()

bool gdcm::SerieHelper::UserOrdering | ( | FileList * | fileSet | ) |
| protected

## Member Data Documentation

## ◆ ItFileSetHt

SingleSerieUIDFileSetmap::iterator gdcm::SerieHelper::ItFileSetHt
| protected

## ◆ SingleSerieUIDFileSetHT

SingleSerieUIDFileSetmap gdcm::SerieHelper::SingleSerieUIDFileSetHT
| protected

The documentation for this class was generated from the following file:

- gdcmSerieHelper.h